# TODO: package python3-curio and enable curio test
#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_without	tests	# unit tests

Summary:	Sniff out which async library your code is running under
Summary(pl.UTF-8):	Podsłuchiwanie, którą bibliotekę asynchroniczną wykorzystuje kod
Name:		python3-sniffio
Version:	1.3.1
Release:	1
License:	MIT or Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/sniffio/
Source0:	https://files.pythonhosted.org/packages/source/s/sniffio/sniffio-%{version}.tar.gz
# Source0-md5:	1673edc4dfeb739130a87bcd7b477864
URL:		https://pypi.org/project/sniffio/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools >= 1:64
BuildRequires:	python3-setuptools_scm >= 6.4
%if %{with tests}
#BuildRequires:	python3-curio
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
%if %{with doc}
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	python3-sphinxcontrib-trio
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sniff out which async library your code is running under.

%description -l pl.UTF-8
Podsłuchiwanie, którą bibliotekę asynchroniczną wykorzystuje kod.

%package apidocs
Summary:	API documentation for Python sniffio module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona sniffio
Group:		Documentation

%description apidocs
API documentation for Python sniffio module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona sniffio.

%prep
%setup -q -n sniffio-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest sniffio/_tests -k 'not test_curio'
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/sniffio/_tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE LICENSE.MIT README.rst
%{py3_sitescriptdir}/sniffio
%{py3_sitescriptdir}/sniffio-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/build/html/{_static,*.html,*.js}
%endif
%changelog
* Wed Jun 25 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-sniffio.git;a=log;h=master

* Wed Jun 25 2025 Jakub Bogusz <qboosh@pld-linux.org> 79b6407
- updated to 1.3.1

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> ead1555
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> ad2ef29
- python 3.13 rebuild

* Tue Sep 13 2022 Jakub Bogusz <qboosh@pld-linux.org> fff0d30
- updated to 1.3.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 0ce8e33
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 1a6ae74
- rebuild with python 3.10

* Sun Mar 20 2022 Jakub Bogusz <qboosh@pld-linux.org> 818a90a
- new

